package betterquesting.api2.client.gui.resources.factories.textures;

import betterquesting.api.utils.JsonHelper;
import betterquesting.api2.client.gui.misc.GuiPadding;
import betterquesting.api2.client.gui.misc.GuiRectangle;
import betterquesting.api2.client.gui.resources.textures.IGuiTexture;
import betterquesting.api2.client.gui.resources.textures.SlicedTexture;
import betterquesting.api2.client.gui.themes.presets.PresetTexture;
import betterquesting.api2.registry.IFactoryData;
import com.google.gson.JsonArray;
import com.google.gson.JsonObject;
import net.minecraft.util.MathHelper;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api2_client_gui_resources_factories_textures.jar:betterquesting/api2/client/gui/resources/factories/textures/FactorySlicedTexture.class */
public class FactorySlicedTexture implements IFactoryData<IGuiTexture, JsonObject> {
    public static final FactorySlicedTexture INSTANCE = new FactorySlicedTexture();
    private static final ResourceLocation RES_ID = new ResourceLocation("betterquesting", "texture_sliced");

    public SlicedTexture loadFromData(JsonObject data) {
        ResourceLocation atlas = new ResourceLocation(JsonHelper.GetString(data, "atlas", PresetTexture.TX_NULL.toString()));
        int sliceMode = MathHelper.func_76125_a(JsonHelper.GetNumber(data, "sliceMode", 0).intValue(), 0, SlicedTexture.SliceMode.values().length);
        int[] bounds = new int[4];
        bounds[0] = 0;
        bounds[1] = 0;
        bounds[2] = 16;
        bounds[3] = 16;
        JsonArray jAry = JsonHelper.GetArray(data, "bounds");
        for (int i = 0; i < jAry.size() && i < bounds.length; i++) {
            if (jAry.get(i).isJsonPrimitive()) {
                try {
                    bounds[i] = jAry.get(i).getAsInt();
                } catch (Exception e) {
                }
            }
        }
        int[] padding = new int[4];
        padding[0] = 0;
        padding[1] = 0;
        padding[2] = 16;
        padding[3] = 16;
        JsonArray jAry2 = JsonHelper.GetArray(data, "padding");
        for (int i2 = 0; i2 < jAry.size() && i2 < padding.length; i2++) {
            if (jAry2.get(i2).isJsonPrimitive()) {
                try {
                    padding[i2] = jAry2.get(i2).getAsInt();
                } catch (Exception e2) {
                }
            }
        }
        return new SlicedTexture(atlas, new GuiRectangle(bounds[0], bounds[1], bounds[2], bounds[3]), new GuiPadding(padding[0], padding[1], padding[2], padding[3])).setSliceMode(SlicedTexture.SliceMode.values()[sliceMode]);
    }

    public ResourceLocation getRegistryName() {
        return RES_ID;
    }

    /* renamed from: createNew, reason: merged with bridge method [inline-methods] */
    public SlicedTexture m7createNew() {
        return new SlicedTexture(PresetTexture.TX_NULL, new GuiRectangle(0, 0, 16, 16), new GuiPadding(1, 1, 1, 1));
    }
}
